Upstream information

CVE-2011-3267 at MITRE

Description

PHP before 5.3.7 does not properly implement the error_log function, which allows context-dependent attackers to cause a denial of service (application crash) via unspecified vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 715640 [RESOLVED / FIXED], 992991 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.4
  • apache2-mod_php5 >= 5.3.5-5.16.1
  • php5 >= 5.3.5-5.16.1
  • php5-bcmath >= 5.3.5-5.16.1
  • php5-bz2 >= 5.3.5-5.16.1
  • php5-calendar >= 5.3.5-5.16.1
  • php5-ctype >= 5.3.5-5.16.1
  • php5-curl >= 5.3.5-5.16.1
  • php5-dba >= 5.3.5-5.16.1
  • php5-devel >= 5.3.5-5.16.1
  • php5-dom >= 5.3.5-5.16.1
  • php5-enchant >= 5.3.5-5.16.1
  • php5-exif >= 5.3.5-5.16.1
  • php5-fastcgi >= 5.3.5-5.16.1
  • php5-fileinfo >= 5.3.5-5.16.1
  • php5-fpm >= 5.3.5-5.16.1
  • php5-ftp >= 5.3.5-5.16.1
  • php5-gd >= 5.3.5-5.16.1
  • php5-gettext >= 5.3.5-5.16.1
  • php5-gmp >= 5.3.5-5.16.1
  • php5-hash >= 5.3.5-5.16.1
  • php5-iconv >= 5.3.5-5.16.1
  • php5-imap >= 5.3.5-5.16.1
  • php5-intl >= 5.3.5-5.16.1
  • php5-json >= 5.3.5-5.16.1
  • php5-ldap >= 5.3.5-5.16.1
  • php5-mbstring >= 5.3.5-5.16.1
  • php5-mcrypt >= 5.3.5-5.16.1
  • php5-mysql >= 5.3.5-5.16.1
  • php5-odbc >= 5.3.5-5.16.1
  • php5-openssl >= 5.3.5-5.16.1
  • php5-pcntl >= 5.3.5-5.16.1
  • php5-pdo >= 5.3.5-5.16.1
  • php5-pear >= 5.3.5-5.16.1
  • php5-pgsql >= 5.3.5-5.16.1
  • php5-phar >= 5.3.5-5.16.1
  • php5-posix >= 5.3.5-5.16.1
  • php5-pspell >= 5.3.5-5.16.1
  • php5-readline >= 5.3.5-5.16.1
  • php5-shmop >= 5.3.5-5.16.1
  • php5-snmp >= 5.3.5-5.16.1
  • php5-soap >= 5.3.5-5.16.1
  • php5-sockets >= 5.3.5-5.16.1
  • php5-sqlite >= 5.3.5-5.16.1
  • php5-suhosin >= 5.3.5-5.16.1
  • php5-sysvmsg >= 5.3.5-5.16.1
  • php5-sysvsem >= 5.3.5-5.16.1
  • php5-sysvshm >= 5.3.5-5.16.1
  • php5-tidy >= 5.3.5-5.16.1
  • php5-tokenizer >= 5.3.5-5.16.1
  • php5-wddx >= 5.3.5-5.16.1
  • php5-xmlreader >= 5.3.5-5.16.1
  • php5-xmlrpc >= 5.3.5-5.16.1
  • php5-xmlwriter >= 5.3.5-5.16.1
  • php5-xsl >= 5.3.5-5.16.1
  • php5-zip >= 5.3.5-5.16.1
  • php5-zlib >= 5.3.5-5.16.1
openSUSE 11.4
  • apache2-mod_php5 >= 5.3.5-5.16.1
  • apache2-mod_php5-debuginfo >= 5.3.5-5.16.1
  • php5 >= 5.3.5-5.16.1
  • php5-bcmath >= 5.3.5-5.16.1
  • php5-bcmath-debuginfo >= 5.3.5-5.16.1
  • php5-bz2 >= 5.3.5-5.16.1
  • php5-bz2-debuginfo >= 5.3.5-5.16.1
  • php5-calendar >= 5.3.5-5.16.1
  • php5-calendar-debuginfo >= 5.3.5-5.16.1
  • php5-ctype >= 5.3.5-5.16.1
  • php5-ctype-debuginfo >= 5.3.5-5.16.1
  • php5-curl >= 5.3.5-5.16.1
  • php5-curl-debuginfo >= 5.3.5-5.16.1
  • php5-dba >= 5.3.5-5.16.1
  • php5-dba-debuginfo >= 5.3.5-5.16.1
  • php5-debuginfo >= 5.3.5-5.16.1
  • php5-debugsource >= 5.3.5-5.16.1
  • php5-devel >= 5.3.5-5.16.1
  • php5-dom >= 5.3.5-5.16.1
  • php5-dom-debuginfo >= 5.3.5-5.16.1
  • php5-enchant >= 5.3.5-5.16.1
  • php5-enchant-debuginfo >= 5.3.5-5.16.1
  • php5-exif >= 5.3.5-5.16.1
  • php5-exif-debuginfo >= 5.3.5-5.16.1
  • php5-fastcgi >= 5.3.5-5.16.1
  • php5-fastcgi-debuginfo >= 5.3.5-5.16.1
  • php5-fileinfo >= 5.3.5-5.16.1
  • php5-fileinfo-debuginfo >= 5.3.5-5.16.1
  • php5-fpm >= 5.3.5-5.16.1
  • php5-fpm-debuginfo >= 5.3.5-5.16.1
  • php5-ftp >= 5.3.5-5.16.1
  • php5-ftp-debuginfo >= 5.3.5-5.16.1
  • php5-gd >= 5.3.5-5.16.1
  • php5-gd-debuginfo >= 5.3.5-5.16.1
  • php5-gettext >= 5.3.5-5.16.1
  • php5-gettext-debuginfo >= 5.3.5-5.16.1
  • php5-gmp >= 5.3.5-5.16.1
  • php5-gmp-debuginfo >= 5.3.5-5.16.1
  • php5-hash >= 5.3.5-5.16.1
  • php5-hash-debuginfo >= 5.3.5-5.16.1
  • php5-iconv >= 5.3.5-5.16.1
  • php5-iconv-debuginfo >= 5.3.5-5.16.1
  • php5-imap >= 5.3.5-5.16.1
  • php5-imap-debuginfo >= 5.3.5-5.16.1
  • php5-intl >= 5.3.5-5.16.1
  • php5-intl-debuginfo >= 5.3.5-5.16.1
  • php5-json >= 5.3.5-5.16.1
  • php5-json-debuginfo >= 5.3.5-5.16.1
  • php5-ldap >= 5.3.5-5.16.1
  • php5-ldap-debuginfo >= 5.3.5-5.16.1
  • php5-mbstring >= 5.3.5-5.16.1
  • php5-mbstring-debuginfo >= 5.3.5-5.16.1
  • php5-mcrypt >= 5.3.5-5.16.1
  • php5-mcrypt-debuginfo >= 5.3.5-5.16.1
  • php5-mysql >= 5.3.5-5.16.1
  • php5-mysql-debuginfo >= 5.3.5-5.16.1
  • php5-odbc >= 5.3.5-5.16.1
  • php5-odbc-debuginfo >= 5.3.5-5.16.1
  • php5-openssl >= 5.3.5-5.16.1
  • php5-openssl-debuginfo >= 5.3.5-5.16.1
  • php5-pcntl >= 5.3.5-5.16.1
  • php5-pcntl-debuginfo >= 5.3.5-5.16.1
  • php5-pdo >= 5.3.5-5.16.1
  • php5-pdo-debuginfo >= 5.3.5-5.16.1
  • php5-pear >= 5.3.5-5.16.1
  • php5-pgsql >= 5.3.5-5.16.1
  • php5-pgsql-debuginfo >= 5.3.5-5.16.1
  • php5-phar >= 5.3.5-5.16.1
  • php5-phar-debuginfo >= 5.3.5-5.16.1
  • php5-posix >= 5.3.5-5.16.1
  • php5-posix-debuginfo >= 5.3.5-5.16.1
  • php5-pspell >= 5.3.5-5.16.1
  • php5-pspell-debuginfo >= 5.3.5-5.16.1
  • php5-readline >= 5.3.5-5.16.1
  • php5-readline-debuginfo >= 5.3.5-5.16.1
  • php5-shmop >= 5.3.5-5.16.1
  • php5-shmop-debuginfo >= 5.3.5-5.16.1
  • php5-snmp >= 5.3.5-5.16.1
  • php5-snmp-debuginfo >= 5.3.5-5.16.1
  • php5-soap >= 5.3.5-5.16.1
  • php5-soap-debuginfo >= 5.3.5-5.16.1
  • php5-sockets >= 5.3.5-5.16.1
  • php5-sockets-debuginfo >= 5.3.5-5.16.1
  • php5-sqlite >= 5.3.5-5.16.1
  • php5-sqlite-debuginfo >= 5.3.5-5.16.1
  • php5-suhosin >= 5.3.5-5.16.1
  • php5-suhosin-debuginfo >= 5.3.5-5.16.1
  • php5-sysvmsg >= 5.3.5-5.16.1
  • php5-sysvmsg-debuginfo >= 5.3.5-5.16.1
  • php5-sysvsem >= 5.3.5-5.16.1
  • php5-sysvsem-debuginfo >= 5.3.5-5.16.1
  • php5-sysvshm >= 5.3.5-5.16.1
  • php5-sysvshm-debuginfo >= 5.3.5-5.16.1
  • php5-tidy >= 5.3.5-5.16.1
  • php5-tidy-debuginfo >= 5.3.5-5.16.1
  • php5-tokenizer >= 5.3.5-5.16.1
  • php5-tokenizer-debuginfo >= 5.3.5-5.16.1
  • php5-wddx >= 5.3.5-5.16.1
  • php5-wddx-debuginfo >= 5.3.5-5.16.1
  • php5-xmlreader >= 5.3.5-5.16.1
  • php5-xmlreader-debuginfo >= 5.3.5-5.16.1
  • php5-xmlrpc >= 5.3.5-5.16.1
  • php5-xmlrpc-debuginfo >= 5.3.5-5.16.1
  • php5-xmlwriter >= 5.3.5-5.16.1
  • php5-xmlwriter-debuginfo >= 5.3.5-5.16.1
  • php5-xsl >= 5.3.5-5.16.1
  • php5-xsl-debuginfo >= 5.3.5-5.16.1
  • php5-zip >= 5.3.5-5.16.1
  • php5-zip-debuginfo >= 5.3.5-5.16.1
  • php5-zlib >= 5.3.5-5.16.1
  • php5-zlib-debuginfo >= 5.3.5-5.16.1
Patchnames:
apache2-mod_php5


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP1 php5 Affected
SUSE Linux Enterprise Server 10 SP3 php5 Affected
SUSE Linux Enterprise Server 10 SP4 php5 Affected
SUSE Linux Enterprise Server 10 SP4 LTSS php5 Affected
SUSE Linux Enterprise Server 11 SP1 php5 Affected
SUSE Linux Enterprise Server 11 SP1 LTSS php5 Affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 php5 Affected